Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrJoin

    java.lang.Object
      org.modeshape.graph.query.model.Join
          org.modeshape.jcr.query.qom.JcrJoin

All Implemented Interfaces:
  Serializable, Join, LanguageObject, Source, Visitable, JcrSource

    public class JcrJoin

extends Join
implements Join, JcrSource

Implementation of the join for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrJoin(JcrSource left, JoinType type, JcrSource right, JcrJoinCondition joinCondition)` Create a join of the left and right sources, using the supplied join condition.

Method Summary
`JoinCondition` | `getJoinCondition()`
`String` | `getJoinType()`
`JcrSource` | `getLeft()`
`JcrSource` | `getRight()`
`JcrJoinCondition` | `joinCondition()` Get the join condition
`JcrSource` | `left()` Get the source that represents the left-hand-side of the join.
`JcrSource` | `right()` Get the source that represents the right-hand-side of the join.

Methods inherited from class org.modeshape.graph.query.model.Join
`accept, equals, hashCode, toString, type`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrJoin

    public JcrJoin(JcrSource left,
                   JoinType type,
                   JcrSource right,
                   JcrJoinCondition joinCondition)

  Create a join of the left and right sources, using the supplied join condition. The outputs of the left and right sources are expected to be equivalent.

  Parameters:
    `left` - the left source being joined
    `type` - the type of join
    `right` - the right source being joined
    `joinCondition` - the join condition

Method Detail

### joinCondition

    public JcrJoinCondition joinCondition()

  Get the join condition

  Overrides:
    `joinCondition` in class `Join`
  Returns:
    the join condition; never null
  See Also:
    `Join.joinCondition()`

### left

    public JcrSource left()

  Get the source that represents the left-hand-side of the join.

  Overrides:
    `left` in class `Join`
  Returns:
    the left-side source; never null
  See Also:
    `Join.left()`

### right

    public JcrSource right()

  Get the source that represents the right-hand-side of the join.

  Overrides:
    `right` in class `Join`
  Returns:
    the right-side source; never null
  See Also:
    `Join.right()`

### getJoinCondition

    public JoinCondition getJoinCondition()

  Specified by:
    `getJoinCondition` in interface `Join`
  See Also:
    `Join.getJoinCondition()`

### getJoinType

    public String getJoinType()

  Specified by:
    `getJoinType` in interface `Join`
  See Also:
    `Join.getJoinType()`

### getLeft

    public JcrSource getLeft()

  Specified by:
    `getLeft` in interface `Join`
  See Also:
    `Join.getLeft()`

### getRight

    public JcrSource getRight()

  Specified by:
    `getRight` in interface `Join`
  See Also:
    `Join.getRight()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.